%define prefix /usr
%define ver 1.0Beta5
Summary: Gnometoaster is intended to be a full CD creation suite for X11.
Name: gtoaster
Version: 1.0
Release: 0.0005004m
Group: Applications/System
License: GPL
URL: http://gnometoaster.rulez.org/ 
Source: http://gnometoaster.rulez.org/archive/gtoaster%ver.tgz
Source1: gtoaster.desktop
Source2: gtoaster.console
Source3: gtoaster.pam
Source4: gtoaster.png
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: audiofile-devel >= 0.2.1 gnome-libs-devel ORBit-devel
Requires: audiofile >= 0.2.1

%description
Gnometoaster is intended to be a full CD creation suite for X11. Although it 
is in the very early stages of development, it can already be used to copy data,
audio, and hybrid cds on the fly or with precaching. Data tracks can be easily 
created with the built in file manager. Gnome drag and drop is supported 
throughout the program.

%prep
%setup -q -n gtoaster

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

mv %{buildroot}%{_bindir}/gtoaster %{buildroot}%{_bindir}/gtoaster-root
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/gtoaster

# helper stuff
mkdir -p %{buildroot}/etc/X11/applnk/Multimedia
install -m 644 %{SOURCE1} %{buildroot}/etc/X11/applnk/Multimedia
mkdir -p %{buildroot}/etc/security/console.apps
install -m 644 %{SOURCE2} %{buildroot}/etc/security/console.apps/gtoaster
mkdir -p %{buildroot}/etc/pam.d
install -m 644 %{SOURCE3} %{buildroot}/etc/pam.d/gtoaster
mkdir -p %{buildroot}/usr/share/pixmaps
install -m 644 %{SOURCE4} %{buildroot}/usr/share/pixmaps

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog* Install NEWS README TODO

%config /etc/X11/applnk/Multimedia/gtoaster.desktop
%config(noreplace) /etc/pam.d/gtoaster
%config(noreplace) /etc/security/console.apps/gtoaster
%{_datadir}/pixmaps/*
%{_bindir}/*

%changelog
* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0-0.0005004m)
- revised spec for enabling rpm 4.2.

* Sat Feb 23 2002 Shingo Akagaki <dora@kondara.org>
- (1.0-0.0005002k)
- version 1.0Beta5

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (1.0-0.0002002k)
- merge from Jirai.

* Mon Sep 17 2001 Motonobu Ichimura <famao@kondara.org>
- (1.0-0.0002003k)
- up to 1.0Beta2

* Fri Mar 30 2001 Toru Hoshina <toru@df-usa.com>
- (0.4-11k)
- rebuild against audiofile-0.2.1.

* Mon Jan  8 2001 Yoshito Komatsu <yoshito.komatsu@nifty.com>
- (0.4-9k)
- update to 2001010715.
- use %configure and %makeinstall.
- modify %files.

* Sun Dec 24 2000 Kenichi Matsubara <m@kondara.org>
- (0.4-7k)
- rebuild against audiofile-0.2.0.

* Tue Jun 27 2000 haruka kusumi <haruka76@kondara.org>
- version 0.4(200000519)

* Mon Apr 3 2000 haruka kusumi <haruka76@rcedu.kyushu-u.ac.jp>
-new release 20000227

* Sun Mar 26 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fix ( Group, Distribution, BuildRoot,
-            Summary, description, Packager )

* Wed Mar 22 2000 Toru Hoshina <t@kondara.org>
- revised spec file. a little bit :-)

* Sat  Mar 18 2000 Haruka Kusumi <kuhr2830@wht.mmtr.or.jp>
-added Documentation

